Skip to main content
POST
/
commands
/
{command_id}
/
schedules
Create Schedule
curl --request POST \
  --url https://analyst.heyhumm.ai/commands/{command_id}/schedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "command_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cron_expression": "<string>",
  "timezone": "UTC",
  "enabled": true,
  "name": "<string>",
  "run_mode": "per_subscriber",
  "subscriber_user_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "command_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cron_expression": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "next_run_time": "2023-11-07T05:31:56Z",
  "last_run_time": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "timezone": "UTC",
  "enabled": true,
  "name": "<string>",
  "run_mode": "per_subscriber",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

command_id
string<uuid>
required

Command ID to schedule

Query Parameters

organization_id
string
required

Body

application/json

Create model for command schedule.

command_id
string<uuid>
required

ID of the command to execute

organization_id
string<uuid>
required

Organization ID

cron_expression
string
required

Cron expression (e.g., '0 9 * * 1' for Monday 9am)

timezone
string
default:UTC

Timezone for cron evaluation

enabled
boolean
default:true

Whether the schedule is active

name
string | null

Optional name for the schedule

Maximum string length: 255
run_mode
string
default:per_subscriber

Execution mode: 'per_subscriber' or 'once_distribute'

Maximum string length: 20
subscriber_user_ids
string<uuid>[] | null

Optional initial subscriber user IDs to create with the schedule.

Response

Successful Response

Response model for command schedule.

command_id
string<uuid>
required

ID of the command to execute

organization_id
string<uuid>
required

Organization ID

cron_expression
string
required

Cron expression (e.g., '0 9 * * 1' for Monday 9am)

id
string<uuid>
required
next_run_time
string<date-time>
required
last_run_time
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
timezone
string
default:UTC

Timezone for cron evaluation

enabled
boolean
default:true

Whether the schedule is active

name
string | null
run_mode
string
default:per_subscriber
created_by_user_id
string<uuid> | null